//////////////////////////////////////////////////////////////////////
// Created by Actel SmartDesign Mon Oct 04 14:36:29 2010
// Testbench Template
// This is a basic testbench that instantiates your design with basic 
// clock and reset pins connected.  If your design has special
// clock/reset or testbench driver requirements then you should 
// copy this file and modify it. 
//////////////////////////////////////////////////////////////////////

`timescale 1ns/100ps

module testbench;

parameter SYSCLK_PERIOD = 100; // 10MHz

reg SYSCLK;
reg NSYSRESET;

initial
begin
    SYSCLK = 1'b0;
    NSYSRESET = 1'b0;
end

//////////////////////////////////////////////////////////////////////
// Reset Pulse
//////////////////////////////////////////////////////////////////////
initial
begin
    #(SYSCLK_PERIOD * 10 )
        NSYSRESET = 1'b1;
end


//////////////////////////////////////////////////////////////////////
// 10MHz Clock Driver
//////////////////////////////////////////////////////////////////////
always @(SYSCLK)
    #(SYSCLK_PERIOD / 2.0) SYSCLK <= !SYSCLK;


//////////////////////////////////////////////////////////////////////
// Instantiate Unit Under Test:  mytop
//////////////////////////////////////////////////////////////////////
mytop mytop_0 (
    // Inputs
    .UART_0_RXD({1{1'b0}}),
    .MSS_RESET_N(NSYSRESET),
    .GPIO_2_IN({1{1'b0}}),
    .GPIO_1_IN({1{1'b0}}),
    .GPIO_0_IN({1{1'b0}}),
    .F2M_GPI_7({1{1'b0}}),
    .F2M_GPI_6({1{1'b0}}),
    .MAINXIN({1{1'b0}}),
    .m_miso({1{1'b0}}),

    // Outputs
    .UART_0_TXD( ),
    .GPIO_5_OUT( ),
    .GPIO_4_OUT( ),
    .GPIO_3_OUT( ),
    .m_sck( ),
    .M2F_GPO_15( ),
    .m_mosi( ),

    // Inouts
    .I2C_0_SCL( ),
    .I2C_0_SDA( )

);

endmodule

